System.Web 2.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Web.Configuration.BufferModeSettings), CollectionType=System.Configuration.ConfigurationElementCollectionType.AddRemoveClearMap)

The object is used to define roles for event providers such as Critical, Notification, Analysis, and Logging. Each role sets buffer mode events differently. For example, a Critical role keeps the , and properties small, whereas an Analysis role sets those properties to higher values.

A collection of objects. This class cannot be inherited.

- Constructor

  The property of the class always contains an instance of the class.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void ``

  The collection must not already contain a object with the same name.

  Adds a object to the collection.

  A object to add to the collection. 2.0.0.0
- Method
  System.Void

  This method inserts a clear directive into the appropriate section of the configuration file to clear all references to elements defined in a higher-level configuration file. All elements defined in the appropriate section of the current configuration file are removed.

  Removes all objects from the collection.

  2.0.0.0
- Method
  System.Configuration.ConfigurationElement To be added. To be added.

  Creates a new .

  2.0.0.0
- Method
  System.Object `` To be added. To be added.

  Gets the key for the specified configuration element.

  A object in the collection. 2.0.0.0
- Property
  System.Web.Configuration.BufferModeSettings `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Web.Configuration.BufferModeSettings `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added.

  Gets the for this object.

  2.0.0.0
- Method
  System.Void ``

  This method inserts a remove element into the appropriate section of the configuration file for any element defined in a higher-level configuration file. If the element is defined in the appropriate section of the current configuration file, its entry is removed from the configuration file. The object to remove must exist in the collection.

  Removes a object from the collection.

  The name of a object in the collection. 2.0.0.0